# For local testing of pipedream dashboard.
# This will attempt to use the local user's pipedream key for retries
# You can run dockerize.sh first but not push the built image and this
# will use the locally built image.

version: '2'
services:
  pipedream_dashboard:
    image: docker-registry.zooxlabs.com/pipedream_dashboard:latest
    dns:
      - 172.16.10.26
      - 172.16.10.25
    dns_search: zooxlabs.com
    environment:
      PIPEDREAM_USER: $USER
      PIPEDREAM_CLUSTER: "prod"
      ELASTICSEARCH_URL: "http://pipedream-es.zooxlabs.com"
      VAULT_ADDR: "http://vault_integration_tests:8200"
      VAULT_TOKEN: "pd_token"
    volumes:
      - "/mnt/flashblade/:/mnt/flashblade/"
      - "~/.pipedream/$USER.key:/root/.pipedream/$USER.key"
      - "/tmp"
    ports:
      - "5000:5000"
